Subject: Re: Language grammer not working for Typescript (Emacs 30 , fedora)

From: Jostein Kjønigsen <[email-masked]>
Date: Fri, 9 Jun 2023 08:26:04 +0200

> In that directory i can find `.so` for other , but not for typescript. Because of same error was coming i tried to use I had tried to use treesit-auto, which manually install treesitter , but it also failed ,while not for other languages i tried.
>
>
> This error was only coming from `typescript-ts-mode` , I'm doing angular, i cant get ide features now for angular . Thank you for helping

Try manually installing the grammar:

  * M-x treesit-install-language-grammar
  * Type "typescript"
  * Confirm you want an interactive install.
  * Use this url for language grammar:
    https://github.com/tree-sitter/tree-sitter-typescript

This is what I've done and it works for me.

--

Vennlig hilsen
*Jostein Kjønigsen*

[email-masked] 🍵 [email-masked]
https://jostein.kjønigsen.no <https://jostein.kjønigsen.no>